Investors, warrants & staking

Add Single Warrant

Creates a DRAFT warrant for an investor seat with configuration, pricing, lockup terms and custom tags.

POSThttps://api.toku.com/tga/add-single-warrant

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/add-single-warrant' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "warrantName": "string",
  "warrantDescription": "string",
  "warrantConfigurationID": "string",
  "warrantAmount": 0,
  "lockupPeriodMonths": 0,
  "lockupFrequencyType": "MONTHLY",
  "investorID": "string",
  "purchasePrice": 0,
  "issueDate": "string",
  "expirationDate": "string",
  "tags": [
    "string"
  ],
  "investorEntityID": "string"
}'
200 response
{
  "warrantID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

warrantNamestringrequired
warrantDescriptionstringrequired
warrantConfigurationIDstringrequired
warrantAmountnumberrequired

Allowed: at least 0

lockupPeriodMonthsnumberrequired

Allowed: at least 0

lockupFrequencyTypestringrequired

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

investorIDstringrequired
purchasePricenumberrequired

Allowed: at least 0

issueDatestringrequired
expirationDatestringrequired
tagsstring[]required
investorEntityIDstring

Response

200Successful response
warrantIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits